package com.huiju.estateagents.center.taUser.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户表 
 * </p>
 *
 * @author jobob
 * @since 2019-09-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaUser implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
    @TableId(value = "user_id", type = IdType.AUTO)
    private Integer userId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 登录账户
     */
    private String loginName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 登录密码
     */
    private String loginPassword;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 用户状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 账户过期时间
     */
    private LocalDateTime expDate;

    /**
     * 是否管理员
     */
    private Boolean isAdmin;
}
