package com.huiju.estateagents.common;

import cn.binarywang.wx.miniapp.api.WxMaService;
import cn.binarywang.wx.miniapp.api.impl.WxMaServiceImpl;
import cn.binarywang.wx.miniapp.bean.WxMaTemplateData;
import cn.binarywang.wx.miniapp.bean.WxMaTemplateMessage;
import cn.binarywang.wx.miniapp.config.WxMaInMemoryConfig;
import com.huiju.estateagents.config.WxProperties;
import me.chanjar.weixin.common.error.WxErrorException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import javax.annotation.PostConstruct;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

@Configuration
@EnableConfigurationProperties(WxProperties.class)
public class WxUtils {
    static WxMaService miniApp;

    static WxProperties properties;

    @Autowired
    public WxUtils(WxProperties properties) { WxUtils.properties = properties; }

    public static WxMaService getMiniApp() {
        return miniApp;
    }

    @PostConstruct
    public void init() {
        System.out.println("-------------PostConstruct----------------");
        WxMaInMemoryConfig config = new WxMaInMemoryConfig();

        WxProperties.Miniapp miniProperty = WxUtils.properties.getMiniapp();

        config.setAppid(miniProperty.getAppid());
        config.setSecret(miniProperty.getSecret());
        config.setToken(miniProperty.getToken());
        config.setAesKey(miniProperty.getAesKey());
        config.setMsgDataFormat(miniProperty.getMsgDataFormat());

        WxUtils.miniApp = new WxMaServiceImpl();
        WxUtils.miniApp.setWxMaConfig(config);
        System.out.println("-------------PostConstruct- 222---------------");
        System.out.println(WxUtils.miniApp);
    }

    public static WxProperties.Tpl getTplByName(String name) {
        for ( WxProperties.Tpl t: properties.getTpls()) {
            if (t.getName().equals(name)) {
                return t;
            }
        }
        return null;
    }
}
