package com.huiju.estateagents.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;

import java.util.List;

@Data
@ConfigurationProperties(prefix = "wx")
public class WxProperties {
    private Miniapp  miniapp;
    private List<Tpl> tpls;

    @Data
    public static class Miniapp {

        /**
         * 设置微信小程序的appid
         */
        private String appid;

        /**
         * 设置微信小程序的Secret
         */
        private String secret;

        /**
         * 设置微信小程序消息服务器配置的token
         */
        private String token;

        /**
         * 设置微信小程序消息服务器配置的EncodingAESKey
         */
        private String aesKey;

        /**
         * 消息格式，XML或者JSON
         */
        private String msgDataFormat;

    }

    @Data
    public static class Tpl {
        private String name;
        private String id;
        private Integer keywords;
    }
}
