package com.huiju.estateagents.controller;


import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.common.AliOSSUtils;
import com.huiju.estateagents.common.CommConstant;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;


@RestController
@RequestMapping("/api")
public class CommonController {

    /**
     * 图片上传
     * @param multipartFile
     * @return
     */
    @PostMapping("/{plat}/image")
    public ResponseBean uploadImage(@RequestParam("file") MultipartFile multipartFile) {
        try {
            String img = AliOSSUtils.putObject(multipartFile, CommConstant.ALIOSS_DEFAULT_UPLOAD);
            return ResponseBean.success(img);
        } catch (IOException e) {
            return ResponseBean.error("上传图片失败: " + e.getMessage(), ResponseBean.ERROR_UNAVAILABLE);
        }
    }

    @GetMapping("/wx/awesome/dict/{typeFor}")
    public ResponseBean dicts(@PathVariable String typeFor) {

        if ("recommendcustomer".equals(typeFor)) {

            ArrayList<Map<String, String>> realtyManageType = new ArrayList<>();
            realtyManageType.add(new HashMap<String, String>(){{
                put("id", "1");
                put("name", "公寓");
            }});
            realtyManageType.add(new HashMap<String, String>(){{
                put("id", "2");
                put("name", "住宅");
            }});
            realtyManageType.add(new HashMap<String, String>(){{
                put("id", "3");
                put("name", "商铺");
            }});
            realtyManageType.add(new HashMap<String, String>(){{
                put("id", "4");
                put("name", "别墅");
            }});

            ArrayList<Map<String, String>> priceRange = new ArrayList<>();
            priceRange.add(new HashMap<String, String>(){{
                put("id", "11");
                put("name", "100万以下");
            }});
            priceRange.add(new HashMap<String, String>(){{
                put("id", "12");
                put("name", "100-200万");
            }});
            priceRange.add(new HashMap<String, String>(){{
                put("id", "13");
                put("name", "200-400万");
            }});
            priceRange.add(new HashMap<String, String>(){{
                put("id", "14");
                put("name", "400万以上");
            }});

            ArrayList<Map<String, String>> demandType = new ArrayList<>();
            demandType.add(new HashMap<String, String>(){{
                put("id", "21");
                put("name", "自主");
            }});
            demandType.add(new HashMap<String, String>(){{
                put("id", "22");
                put("name", "投资");
            }});

            return ResponseBean.success(new HashMap<String, Object>(){{
                put("realtyManageType", realtyManageType);
                put("priceRange", priceRange);
                put("demandType", demandType);
            }});
        } else {
            return ResponseBean.error("暂时不支持的字典请求", ResponseBean.ERROR_ILLEGAL_PARAMS);
        }
    }
}
