package com.huiju.estateagents.controller;


import com.huiju.estateagents.base.BaseController;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.common.JWTUtils;
import com.huiju.estateagents.service.ITaShareService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 * 用户访问表 前端控制器
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@RestController
@RequestMapping("/api")
public class TaShareController extends BaseController {

    @Autowired
    ITaShareService taShareService;

    @PostMapping("/wx/{typeOf}/share/{id}")
    public ResponseBean save(@PathVariable String typeOf, @PathVariable String id, HttpServletRequest request) {
        String openid = JWTUtils.getSubject(request);
        return taShareService.saveData(openid, typeOf, id);
    }

    @GetMapping("/wx/{typeOf}/share/{id}")
    public ResponseBean hotList(@PathVariable String typeOf, @PathVariable String id, Integer pageNumber, Integer pageSize, HttpServletRequest request) {
        if (null == pageNumber) pageNumber = 1;
        if (null == pageSize) pageSize = 10;

        return taShareService.getListOf(id, typeOf, pageNumber, pageSize);
    }

    /**
     * 确认分享, 送积分
     * @param typeOf
     * @param id
     * @param request
     * @return
     */
    @PutMapping("/wx/{typeOf}/share/{id}")
    public ResponseBean makeSure(@PathVariable String typeOf, @PathVariable String id, HttpServletRequest request) {
        String openid = JWTUtils.getSubject(request);
        taShareService.makeSure(openid, typeOf, id);
        return ResponseBean.success("");
    }
}
