package com.huiju.estateagents.controller;


import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.common.JWTUtils;
import com.huiju.estateagents.entity.TaUv;
import com.huiju.estateagents.service.ITaUvService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.huiju.estateagents.base.BaseController;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 * 用户访问表 前端控制器
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@RestController
@RequestMapping("/api")
public class TaUvController extends BaseController {

    @Autowired
    ITaUvService taUvService;

    @PostMapping("/wx/{typeOf}/hot/{id}")
    public ResponseBean save(@PathVariable String typeOf, @PathVariable String id, HttpServletRequest request) {
        String openid = JWTUtils.getSubject(request);
        return taUvService.saveData(openid, typeOf, id);
    }

    @GetMapping("/wx/{typeOf}/hot/{id}")
    public ResponseBean hotList(@PathVariable String typeOf, @PathVariable String id, Integer pageNumber, Integer pageSize, HttpServletRequest request) {
        if (null == pageNumber) pageNumber = 1;
        if (null == pageSize) pageSize = 10;

        return taUvService.getListOf(id, typeOf, pageNumber, pageSize);
    }
}
