package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *  
 * </p>
 *
 * @author jobob
 * @since 2019-07-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaPersonVisitRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 访问记录id
     */
    @TableId(value = "record_id", type = IdType.AUTO)
    private Integer recordId;

    /**
     * 到访人id
     */
    private String personId;

    /**
     * 到访人类型
     */
    private String personType;

    /**
     * 到访时间
     */
    private LocalDateTime visitTime;

    /**
     * 离开时间
     */
    private LocalDateTime leaveTime;

    /**
     * 到访时长
     */
    private Integer visitDuration;

    /**
     * 事件
     */
    private String event;

    /**
     * 参数
     */
    private String data;

    /**
     * 行为
     */
    private String activity;

    private String eventType;

    private String buildingId;

    private String orgId;

    @TableField(exist = false)
    private String propertyName;
    @TableField(exist = false)
    private String propertyCode;


    private String targetId;

    /**
     * 用户名称
     */
    @TableField(exist = false)
    private String userName;

    /**
     * 事件名称
     */
    @TableField(exist = false)
    private String eventName;

    /**
     * 访问次数
     */
    @TableField(exist = false)
    private Integer accessCount;

}
