package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 积分消费流水表 
 * </p>
 *
 * @author jobob
 * @since 2019-07-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaPointsRecords implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 流水记录id
     */
    @TableId(value = "points_record_id", type = IdType.AUTO)
    private Integer pointsRecordId;

    /**
     * 消费人id
     */
    private String personId;

    /**
     * 消费人名称
     */
    private String personName;

    /**
     * 消费人类型
     */
    private String personType;

    /**
     * 消费积分
     */
    private Integer pointsAmount;

    /**
     * 变动类型
     */
    private String changeType;

    /**
     * 变动参数
     */
    private String changeParams;

    /**
     * 消费时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 状态
     */
    private Integer status;

    @TableField(exist = false)
    private Integer totalPoints;


}
