package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 购房政策表 
 * </p>
 *
 * @author jobob
 * @since 2019-09-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaPolicy implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 政策id
     */
    @TableId(value = "policy_id", type = IdType.AUTO)
    private Integer policyId;

    /**
     * 政策标题
     */
    private String title;

    /**
     * 正文
     */
    private String body;

    /**
     * 发布人
     */
    private String publishUser;

    /**
     * 发布日期
     */
    private LocalDateTime publishDate;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 类型
     */
    private String type;

    /**
     * 城市ID
     */
    private Integer cityId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 政策图片
     */
    private String policyImg;

    /**
     * 城市名称
     */
    private String cityName;

    /**
     * 权重
     */
    private Integer weight;

    /**
     * 发布状态
     */
    private Integer publishStatus;

}
