package com.huiju.estateagents.event;

import com.huiju.estateagents.entity.TaPerson;
import com.huiju.estateagents.entity.TaPersonSign;
import com.huiju.estateagents.entity.TaRecommendCustomer;
import com.huiju.estateagents.entity.TaShare;
import com.huiju.estateagents.service.ITaPointsRecordsService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.event.EventListener;
import org.springframework.stereotype.Component;

/**
 * @author FXF
 * @date 2019-07-30
 */

@Component
@Slf4j
public class EventLisenter {
	
	@Autowired
	private ITaPointsRecordsService taPointsRecordsService;

	/**
	 * 获取积分
	 * @param event
	 */
	@EventListener
	public void handler(EventBus event) {
		switch (event.getType()) {
			case SharePoster:
				getSharePoints((TaShare) event.getSource());
				break;
			case DailyCheckin:
				getCheckinPoints((TaPersonSign) event.getSource());
				break;
			case RecommendCustomer:
				getRecommendCustPoints((TaRecommendCustomer) event.getSource());
				break;
			case SignUpAgent:
				getSignUpPoints((TaPerson) event.getSource());
				break;
			case SharePosterAll:
				getSharePointsAll((String) event.getSource());
				break;
			default:
				break;
		}
	}

	// 分享赚积分
	private void getSharePoints(TaShare taShare) {
		taPointsRecordsService.sharePoints(taShare);
	}

	// 无限制 分享赚积分
	private void getSharePointsAll(String recommenderId) {
		taPointsRecordsService.sharePosterAll(recommenderId);
	}

	// 签到赚积分
	private void getCheckinPoints(TaPersonSign taPersonSign) { taPointsRecordsService.checkinPoints(taPersonSign); }

	// 注册送积分
	private void getSignUpPoints(TaPerson taPerson) { taPointsRecordsService.signUpPoints(taPerson);}

	// 推荐客户送积分
	private void getRecommendCustPoints(TaRecommendCustomer taRecommendCustomer) { taPointsRecordsService.recommendCustPoints(taRecommendCustomer); }
}
