package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.estateagents.entity.TaBuilding;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 项目表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
@Mapper
public interface TaBuildingMapper extends BaseMapper<TaBuilding> {
    /**
     * 楼盘列表
     * @param page
     * @return
     */
    List<TaBuilding> buildingList(IPage<TaBuilding> page, @Param("Name") String name, @Param("Code")String code,@Param("startDate")LocalDateTime startDate, @Param("buildingStatus")String buildingStatus, @Param("marketStatus")String marketStatus, @Param("cityId")Integer cityId, @Param("isMain")Integer isMain);

    /**
     * 楼盘列表
     * @param page
     * @return
     */
    List<TaBuilding> buildingListSelect(IPage<TaBuilding> page, @Param("Name") String name, @Param("Code")String code,@Param("startDate")LocalDateTime startDate, @Param("buildingStatus")String buildingStatus, @Param("marketStatus")String marketStatus, @Param("cityId")Integer cityId, @Param("isMain")Integer isMain);


    @Update("UPDATE ta_building  SET ${field} = IFNULL(${field}, 0) + #{increment}  WHERE building_id = #{buildingId}")
    void setFieldNum(@Param("buildingId") String buildingId, @Param("field") String field, @Param("increment") int increment);

    List<TaBuilding> buildingAll();

    /**
     * 查询当前楼盘
     * @param buildingId
     * @return
     */
    TaBuilding selectBuilding(@Param("buildingId") String buildingId);

    /**
     * 转化率 项目收藏 / 项目分享
     * @return
     */
    Map<String, Object> selectBuildingStatistical(@Param("saveOrShare") String saveOrShare);

    /**
     * 查询楼盘
     * @param page
     * @param name
     * @param cityId
     * @param targets
     * @param houseTypeList
     * @param buildingTypeList
     * @param priceList
     * @param areaList
     * @return
     */
    IPage<TaBuilding> selectBuildingPage(IPage<TaBuilding> page,
                                         @Param("name") String name,
                                         @Param("cityId") Integer cityId,
                                         @Param("targets") List<String> targets,
                                         @Param("houseTypeList") String[] houseTypeList,
                                         @Param("buildingTypeList") String[] buildingTypeList,
                                         @Param("priceList") List<String[]> priceList,
                                         @Param("areaList") List<String[]> areaList);

}
