package com.huiju.estateagents.mapper;


import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.estateagents.entity.TaBuildingProjectType;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *   Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-09-04
 */
@Mapper
public interface TaBuildingProjectTypeMapper extends BaseMapper<TaBuildingProjectType> {

    /**
     * 根据 楼盘id 删除
     * @param buildingId
     */
    @Delete("delete from ta_building_project_type where building_id = #{buildingId}")
    void deleteByBuildingId(@Param("buildingId") String buildingId);

    /**
     * 批量添加
     * @param list
     */
    void insertBuildingProjectTypeBatch(@Param("list") List list);
}
