package com.huiju.estateagents.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.entity.TaPerson;
import com.huiju.estateagents.entity.TaPersonVisitRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultType;
import org.apache.ibatis.annotations.Select;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 *   Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-07-23
 */
@Mapper
public interface TaPersonVisitRecordMapper extends BaseMapper<TaPersonVisitRecord> {

    List<TaPersonVisitRecord> visitRecordByPersonId(@Param("personId") String personId);

    /**
     * 行为分析的 列表
     * @param page
     * @return
     */
    IPage<TaPersonVisitRecord> selectAll(IPage<TaPersonVisitRecord> page,
                                         @Param("startDate") LocalDate startDate,
                                         @Param("endDate")LocalDate endDate,
                                         @Param("buildingId") String buildingId,
                                         @Param("eventType") String eventType,
                                         @Param("event") String event,
                                         @Param("activity") String activity);


    /**
     * 行为分析的 具体数据
     *
     * @return
     */
    @ResultType(TaPersonVisitRecord.class)
    @Select("select * from ta_person_visit_record where event = #{event} and person_id = #{personId}")
    List<TaPersonVisitRecord> selectEventAll(@Param("event") String event, @Param("personId") String personId);



}
