package com.huiju.estateagents.service;

import com.huiju.estateagents.base.ResponseBean;

import java.time.LocalDate;
import java.util.Date;

/**
 * 数据统计 接口
 */
public interface IStatisticalService {

    /**
     * 首页统计总数
     * @return
     */
    ResponseBean indexStatistical();

    // ----------------   用户统计 start --------------
    /**
     * 用户总数
     * @return
     */
    ResponseBean selectUserCount();

    /**
     * 注册数
     * @return
     */
    ResponseBean selectRegisteredCount();

    /**
     * 用户最近七天
     * @return
     */
    ResponseBean selectRecentlyCount(LocalDate startDate, LocalDate endDate);

    // ----------------   用户统计 end --------------

    /**
     * 性别比例
     * @return
     */
    ResponseBean selectSexUser();

    /**
     * 城市比例
     * @return
     */
    ResponseBean selectCityUser();

    /**
     * 活跃用户数
     * @return
     */
    ResponseBean selectActiveUserCount(String dateType, LocalDate startDate, LocalDate endDate);

    /**
     * 新增用户数
     * @param startDate
     * @param endDate
     * @return
     */
    ResponseBean selectNewsUserCount(LocalDate startDate,LocalDate endDate);

    /**
     * 用户行为
     * @param startDate
     * @param endDate
     * @return
     */
    ResponseBean selectUserBehavior(Integer pageNum,
                                    Integer pageSize,
                                    LocalDate startDate,
                                    LocalDate endDate,
                                    String buildingId,
                                    String eventType,
                                    String event,
                                    String activity);

    /**
     * 行为分析的 具体数据列表
     * @param event
     * @param personId
     * @return
     */
    ResponseBean selectEventAll(String event, String personId);

    /**
     * 转换率 统计
     * @param conversion
     * @return
     */
    ResponseBean selectConversion(String conversion);

    /**
     * 用户来源 首页
     * @return
     */
    ResponseBean selectUserResource(LocalDate startDate, LocalDate endDate);

    /**
     * 意向用户 首页
     * @param buildingId
     * @return
     */
    ResponseBean selectIntentionUser(Integer pageNum, Integer pageSize, String buildingId);
}
