package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaActivityDynamicEnlist;
import com.huiju.estateagents.entity.TaBuildingDynamic;
import com.huiju.estateagents.entity.TaPerson;

import java.time.LocalDateTime;
import java.util.HashMap;

/**
 * <p>
 * 项目动态表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-03-21
 */
public interface ITaBuildingDynamicService extends IService<TaBuildingDynamic> {

    /**
     * 项目动态管理列表
     * @return
     */
    ResponseBean iBuildingDynamicList(Integer pageNum, Integer pageSize, String name, String buildingId,Integer cityId,String isEnlist, LocalDateTime time);

    /**
     * 项目详情
     * @param id
     * @return
     */
    ResponseBean iBuildingDynamicSelectId(String id);

    /**
     * 微信小程序 项目动态管理列表
     * @return
     */
    ResponseBean getWxBuildingDynamiceList(Integer pageNum, Integer pageSize,String buildingId,String openid,Integer cityId);

    /**
     * 微信小程序 项目详情
     * @param dynamicId
     * @return
     */
    ResponseBean getWxBuildingDynamiceInfo(String dynamicId,String buildingId,String openid);

    /**
     * 动态管理添加
     * @param map
     * @return
     */
    ResponseBean buildingDynamicAdd(HashMap map);

    /**
     * 动态删除
     * @param id
     * @return
     */
    ResponseBean buildingDynamicDelete(String id);

    /**
     * 动态修改
     * @param map
     * @return
     */
    ResponseBean buildingDynamicUpdate(HashMap<Object, Object> map);

    /**
     * 报名活动
     * @return
     */
    ResponseBean taActivityDynamicEnlistAdd(TaActivityDynamicEnlist taActivityDynamicEnlist);

    /**
     * 报名列表
     * @param page
     * @return
     */
    ResponseBean signList(Page<TaActivityDynamicEnlist> page,String dynamicId);

    IPage<TaBuildingDynamic> getJoinedActivity(int pageNumber, int pageSize, String building, TaPerson person);

    void setExtendInfo(TaBuildingDynamic taBuildingDynamic, TaPerson taPerson);
}
