package com.huiju.estateagents.service;

import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaBuilding;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.bind.annotation.RequestParam;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 项目表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-10
 */
public interface ITaBuildingService extends IService<TaBuilding> {

    /**
     * 楼盘列表
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseBean buildingList(Integer pageNum, Integer pageSize, String name, String code, LocalDateTime startDate, String buildingStatus, String marketStatus, Integer cityId, Integer isMain);

    /**
     * 楼盘列表
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseBean buildingListSelect(Integer pageNum, Integer pageSize, String name, String code, LocalDateTime startDate, String buildingStatus, String marketStatus, Integer cityId, Integer isMain);

    /**
     * 楼盘详情
     * @param id
     * @return
     */
    ResponseBean buildingSelectId(String id);

    /**
     * 楼盘详情
     * @param id
     * @return
     */
    ResponseBean buildingAllSelectId(String id,String personId);


    /**
     * 修改楼盘
     * @param parameter
     * @return
     */
    ResponseBean buildingUpdate(String parameter);

    /**
     *
     * @param
     * @return
     */
    ResponseBean appointmentList(Integer pageNum, Integer pageSize,String buildingId,String username,String phone,String status);

    /**
     * 添加楼盘
     * @param parameter
     * @return
     */
    ResponseBean buildingAdd(String parameter);

    /**
     * 修改成已发布
     * @return
     */
    ResponseBean buildingUpdateStatus(String parameter);

    /**
     * 楼盘删除
     * @return
     */
    ResponseBean buildingdelete(String id);


    /**
     * 楼盘户型添加
     * @param parameter
     * @return
     */
    ResponseBean buildingApartmentAdd(String parameter);

    /**
     * 户型添加
     * @param parameter
     * @return
     */
    ResponseBean buildingApartmentUpdate(String parameter);

    /**
     * 户型详情
     * @param id
     * @return
     */
    ResponseBean buildingApartmentSelectId(String id);

    /**
     * 修改核销备注
     * @return
     */
    ResponseBean appointmentUpdate(String id,String writeoffRemark);

    /**
     * 微信小程序 楼盘列表
     * @return
     * @param pageNum
     * @param pageSize
     * @param name
     */
    ResponseBean getWxBuildingList(
            Integer pageNum,
            Integer pageSize,
            String name,
            List<String> targets,
            Integer cityId,boolean mine,
            String[] houseTypeList,
            String[] buildingTypeList,
            List<String[]> priceList,
            List<String[]> areaList);

    /**
     * 微信小程序 楼盘列表
     * @return
     */
    ResponseBean getWxMainBuildingList();

    ResponseBean getWxBuildingById(String buildingId);

    /**
     * 户型列表根据楼盘ID查询
     * @param id
     * @return
     */
    ResponseBean buildingApartmentBuildingId(String id);

    /**
     * 户型删除
     * @param id
     * @return
     */
    ResponseBean apartmentDel(String id);

    /**
     * 查询所有项目
     * @return
     */
    ResponseBean buildingAll();

    Integer getCityById(String buildingId);
}
