package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaNews;

import java.util.List;

/**
 * <p>
 * 资讯表  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-07-25
 */
public interface ITaNewsService extends IService<TaNews> {

    /**
     * 查询资讯列表
     * @param pageNum
     * @param pageSize
     * @param buildingId
     * @param orgId
     * @param newsTypeId
     * @return
     */
    ResponseBean getList(Integer pageNum, Integer pageSize, String buildingId, Integer orgId, Integer newsTypeId, Integer newsStatus);

    /**
     * 根据Id查询资讯数据
     * @param newsId
     * @return
     */
    ResponseBean getTaNewsById(Integer newsId);

    /**
     * 修改资讯数据
     * @param taNews
     * @return
     */
    ResponseBean updateTaNews(TaNews taNews);

    /**
     * add资讯数据
     * @param taNews
     * @return
     */
    ResponseBean addTaNews(TaNews taNews);

    /**
     * 删除资讯
     * @param newsId
     * @return
     */
    ResponseBean deleteTaNews(Integer newsId);

    /**
     * 微信 根据Id查询资讯数据
     * @param newsId
     * @return
     */
    ResponseBean getWxTaNewsById(Integer newsId,String personId);

    /**
     * 微信 阅读量 +1
     * @param id
     * @return
     */
    ResponseBean wxTaPvNum(Integer id);

    IPage<TaNews> getWxList(Integer pageNum, Integer pageSize, String buildingId, List<String> targets,Integer cityId,boolean mine);
}
