package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaNewsType;

/**
 * <p>
 * 资讯类型表  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-07-25
 */
public interface ITaNewsTypeService extends IService<TaNewsType> {

    /**
     * 查询资讯类型列表
     * @param pageNum
     * @param pageSize
     * @param buildingId
     * @param orgId
     * @return
     */
    ResponseBean getList(Integer pageNum, Integer pageSize, String buildingId, Integer orgId);

    /**
     * 根据Id查询资讯类型数据
     * @param newsTypeId
     * @return
     */
    ResponseBean getTaNewsTypeById(Integer newsTypeId);

    /**
     * 修改资讯类型数据
     * @param taNewsType
     * @return
     */
    ResponseBean updateTaNewsType(TaNewsType taNewsType);

    /**
     * add资讯类型数据
     * @param taNewsType
     * @return
     */
    ResponseBean addTaNewsType(TaNewsType taNewsType);

    /**
     * 删除资讯类型
     * @param newsTypeId
     * @return
     */
    ResponseBean deleteTaNewsType(Integer newsTypeId);

}
